Skip to main content
DELETE
/
v6
/
payments
/
{id}
Delete payment
curl --request DELETE \
  --url https://sandbox.tight.com/v6/payments/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://sandbox.tight.com/v6/payments/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch('https://sandbox.tight.com/v6/payments/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": {
    "id": "ptxn_158998869",
    "date": "2025-06-26",
    "amount": 273479,
    "displayName": "Gusto",
    "description": "WITHDRAWAL ACH GUSTO TAXID: 4001",
    "notes": "June Payroll",
    "status": "ACTIVE",
    "reviewStatus": "RECONCILED",
    "apiName": "PLAID",
    "apiSourceId": "QeXqN7XJT50dwE4S19ZgVv4nnhLvjX7",
    "bankAccount": {
      "id": "bka_7542850",
      "name": "Business Checking",
      "displayName": "Business Checking *1687"
    },
    "dimensionValues": [
      {
        "id": "dv_593051",
        "dimension": {
          "id": "dim_4521",
          "name": "Region",
          "requiredness": "NOT_REQUIRED"
        },
        "name": "Mid-Atlantic",
        "child": {
          "id": "dv_593052",
          "dimension": {
            "id": "dim_4521",
            "name": "Region",
            "requiredness": "NOT_REQUIRED"
          },
          "name": "Washington DC",
          "child": "<unknown>"
        }
      }
    ],
    "customer": {
      "id": "cus_4852707",
      "name": "Abigail Adams",
      "email": "abigail@tight.com"
    },
    "vendor": {
      "id": "vnd_28868401",
      "name": "Gusto"
    },
    "category": {
      "id": "ctg_58932890",
      "name": "Wages",
      "iconUrl": "https://cdn.sandbox.tight.com/icons/expenseCategories/payroll.svg"
    },
    "glAccount": {
      "id": "gla_38560327",
      "name": "Officer(s) Salaries and Wages",
      "accountNo": "60210",
      "type": "EXPENSE",
      "iconUrl": "https://cdn.sandbox.tight.com/icons/glAccountTypes/expense.png",
      "displayName": "#60210 Officer(s) Salaries and Wages"
    },
    "bankTransaction": {
      "id": "<string>",
      "apiSourceId": "<string>",
      "amount": 123,
      "date": "2023-12-25",
      "description": "<string>",
      "apiInstitutionId": "<string>",
      "bankAccount": {
        "id": "bka_7542850",
        "name": "Business Checking",
        "displayName": "Business Checking *1687"
      }
    },
    "children": [
      {
        "id": "itm_349412",
        "amount": -134051,
        "displayName": "Gusto",
        "description": "WITHDRAWAL ACH GUSTO TAXID: 4001",
        "apiItemId": "<string>",
        "dimensionValues": [
          {
            "id": "dv_593051",
            "dimension": {
              "id": "dim_4521",
              "name": "Region",
              "requiredness": "NOT_REQUIRED"
            },
            "name": "Mid-Atlantic",
            "child": {
              "id": "dv_593052",
              "dimension": {
                "id": "dim_4521",
                "name": "Region",
                "requiredness": "NOT_REQUIRED"
              },
              "name": "Washington DC",
              "child": "<unknown>"
            }
          }
        ],
        "customer": {
          "id": "cus_4852707",
          "name": "Abigail Adams",
          "email": "abigail@tight.com"
        },
        "vendor": {
          "id": "vnd_28868401",
          "name": "Gusto"
        },
        "category": {
          "id": "ctg_58932890",
          "name": "Wages",
          "iconUrl": "https://cdn.sandbox.tight.com/icons/expenseCategories/payroll.svg"
        },
        "glAccount": {
          "id": "gla_38560327",
          "name": "Officer(s) Salaries and Wages",
          "accountNo": "60210",
          "type": "EXPENSE",
          "iconUrl": "https://cdn.sandbox.tight.com/icons/glAccountTypes/expense.png",
          "displayName": "#60210 Officer(s) Salaries and Wages"
        },
        "invoice": {
          "id": "<string>",
          "name": "<string>",
          "date": "2023-12-25",
          "lineItems": [
            {
              "id": "ili_123456",
              "amount": 5001
            }
          ]
        },
        "bill": {
          "id": "<string>",
          "name": "<string>",
          "lineItems": [
            {
              "id": "bli_123456",
              "amount": 5001
            }
          ]
        }
      }
    ],
    "customData": {
      "internal_key": "some_internal_key",
      "some_other_field": 23434
    }
  }
}
{
  "result": "FAILURE",
  "error": [
    {
      "type": "REQUIRED",
      "message": "Amount is required",
      "param": "amount"
    }
  ]
}
{
  "result": "FAILURE",
  "error": [
    {
      "type": "INVALID_TOKEN",
      "message": "Invalid access token"
    }
  ]
}
{
  "result": "FAILURE",
  "error": [
    {
      "type": "FORBIDDEN",
      "message": "Expired access token"
    }
  ]
}
{
  "result": "FAILURE",
  "error": [
    {
      "type": "BAD_REQUEST",
      "message": "Resource not found"
    }
  ]
}
{
  "result": "FAILURE",
  "error": [
    {
      "type": "UNKNOWN_ERROR",
      "message": "Something went wrong. Please try again later."
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, see Authentication for more detail.

Path Parameters

id
string
required

The id of the payment

Response

Success

result
enum<string>

The result of the action performed.

Available options:
SUCCESS,
FAILURE
data
object

The data generated by the action performed.